Last Comment Bug 653201 - Remove expose image / maemo specific npapi support
: Remove expose image / maemo specific npapi support
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Plug-ins (show other bugs)
: Trunk
: x86_64 Linux
: -- normal (vote)
: ---
Assigned To: Doug Turner (:dougt)
:
Mentors:
https://wiki.mozilla.org/Plugins:Noki...
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-27 11:39 PDT by Doug Turner (:dougt)
Modified: 2011-05-21 14:51 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch v.1 (24.05 KB, patch)
2011-05-20 08:15 PDT, Doug Turner (:dougt)
blassey.bugs: review+
jaas: review+
Details | Diff | Review
updated to current trunk (23.89 KB, patch)
2011-05-21 07:37 PDT, Josh Aas
no flags Details | Diff | Review

Description Doug Turner (:dougt) 2011-04-27 11:39:13 PDT
We added a nokia specific NAPI called Image Expose.  However, we never really shipped a product with flash support -- the only plugin that used this API.  The supporting code is complicated and it basically is dead.  I asked at our mobile engineering meeting to remove it and there were 3 yes's and no no's.
Comment 1 Doug Turner (:dougt) 2011-05-20 08:15:11 PDT
Created attachment 533979 [details] [diff] [review]
patch v.1
Comment 2 Josh Aas 2011-05-20 09:55:54 PDT
Comment on attachment 533979 [details] [diff] [review]
patch v.1

Thanks!
Comment 3 Brad Lassey [:blassey] (use needinfo?) 2011-05-20 11:09:50 PDT
Comment on attachment 533979 [details] [diff] [review]
patch v.1

Review of attachment 533979 [details] [diff] [review]:
-----------------------------------------------------------------
Comment 4 Doug Turner (:dougt) 2011-05-20 15:31:09 PDT
try run:  http://tbpl.mozilla.org/?tree=Try&rev=f125c5536cc5
Comment 5 Josh Aas 2011-05-21 07:37:44 PDT
Created attachment 534228 [details] [diff] [review]
updated to current trunk
Comment 6 Josh Aas 2011-05-21 10:16:54 PDT
pushed to mozilla-central

http://hg.mozilla.org/mozilla-central/rev/c560ce170534
Comment 7 Oleg Romashin (:romaxa) 2011-05-21 10:38:08 PDT
hmm.. sounds like bug 624165 is the same or similar
Comment 8 Oleg Romashin (:romaxa) 2011-05-21 10:41:15 PDT
sounds like build with patch from bug  624165 looks more stable, and compilable...
Comment 9 Josh Aas 2011-05-21 11:17:36 PDT
(In reply to comment #8)
> sounds like build with patch from bug  624165 looks more stable, and
> compilable...

Why do you say that?
Comment 10 Oleg Romashin (:romaxa) 2011-05-21 14:51:36 PDT
oh, I though busted Bq build is reason of this patch, nm

Note You need to log in before you can comment on or make changes to this bug.